# %{ver}, %{rel} are provide by the Makefile
%define ver 1.2.0
%define rel 21

# all the tarball versions
# provide everything to bootstrap build Xvfb without modular X -devel
%define xfontver 	1.2.2
%define fontencver 	1.0.2
%define xauver 		1.0.2
%define xdmcpver	1.0.1
%define xkbfilever	1.0.3
%define miscver		1.0.0
%define dpi100ver	1.0.0
%define dpi75ver	1.0.0
%define cursorver	1.0.0
%define aliasver	1.0.1
%define xtransver	1.0.3
%define fontcachever	1.0.2
%define libx11ver	1.0.3
#proto packages
%define xextproto	7.0.2
%define xproto		7.0.10
%define fontcacheproto	0.1.2
%define fontsproto	2.0.2
%define kbproto		1.0.3
%define bigfontproto	1.1.2
%define inputproto	1.4
%define renderproto	0.9.2
%define fixesproto	4.0
%define scrnsaverproto	1.1.0
%define bigreqsproto	1.0.2
%define xcmiscproto	1.1.2
%define xf86vidmodeproto	2.2.2
%define xf86miscproto	0.9.2
%define	xf86dgaproto	2.0.2
%define	videoproto	2.2.2
%define resourceproto	1.0.2
%define evieextver	1.0.2
%define randrproto	1.1.2
%define damageproto	1.1.0
# added for GLX
%define glproto		1.4.9
# Mesa - 7.0.2 does not work with this xorg source
%define mesaver		6.5.2

Name: lsb-xvfb
Version: %{ver}
Release: %{rel}
Summary: X virtual framebuffer server - LSB build
Group: System/X11
Requires: lsb >= 3.1 lsb-setup
Source0: http://xorg.freedesktop.org/releases/individual/xserver/xorg-server-%{version}.tar.bz2
Source1: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{xfontver}.tar.bz2
Source2: http://xorg.freedesktop.org/releases/individual/lib/libfontenc-%{fontencver}.tar.bz2
Source3: http://xorg.freedesktop.org/releases/individual/lib/libXau-%{xauver}.tar.bz2
Source4: http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{xdmcpver}.tar.bz2
Source5: http://xorg.freedesktop.org/releases/individual/lib/libxkbfile-%{xkbfilever}.tar.bz2
Source6: http://xorg.freedesktop.org/releases/individual/font/font-misc-misc-%{miscver}.tar.bz2
Source7: http://xorg.freedesktop.org/releases/individual/font/font-bitstream-100dpi-%{dpi100ver}.tar.bz2
Source8: http://xorg.freedesktop.org/releases/individual/font/font-bitstream-75dpi-%{dpi75ver}.tar.bz2
Source9: http://xorg.freedesktop.org/releases/individual/font/font-cursor-misc-%{cursorver}.tar.bz2
Source10: http://xorg.freedesktop.org/releases/individual/font/font-alias-%{aliasver}.tar.bz2
Source11: http://xorg.freedesktop.org/releases/individual/lib/xtrans-%{xtransver}.tar.bz2
Source12: http://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{fontcachever}.tar.bz2
Source13: http://xorg.freedesktop.org/releases/individual/lib/libX11-%{libx11ver}.tar.bz2
Source14: http://xorg.freedesktop.org/releases/individual/proto/xextproto-%{xextproto}.tar.bz2
Source15: http://xorg.freedesktop.org/releases/individual/proto/xproto-%{xproto}.tar.bz2
Source16: http://xorg.freedesktop.org/releases/individual/proto/fontcacheproto-%{fontcacheproto}.tar.bz2
Source17: http://xorg.freedesktop.org/releases/individual/proto/fontsproto-%{fontsproto}.tar.bz2
Source18: http://xorg.freedesktop.org/releases/individual/proto/kbproto-%{kbproto}.tar.bz2
Source19: http://xorg.freedesktop.org/releases/individual/proto/xf86bigfontproto-%{bigfontproto}.tar.bz2
Source20: http://xorg.freedesktop.org/releases/individual/proto/inputproto-%{inputproto}.tar.bz2
Source21: http://xorg.freedesktop.org/releases/individual/proto/renderproto-%{renderproto}.tar.bz2
Source22: http://xorg.freedesktop.org/releases/individual/proto/fixesproto-%{fixesproto}.tar.bz2
Source23: http://xorg.freedesktop.org/releases/individual/proto/scrnsaverproto-%{scrnsaverproto}.tar.bz2
Source24: http://xorg.freedesktop.org/releases/individual/proto/bigreqsproto-%{bigreqsproto}.tar.bz2
Source25: http://xorg.freedesktop.org/releases/individual/proto/xcmiscproto-%{xcmiscproto}.tar.bz2
Source26: http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-%{xf86vidmodeproto}.tar.bz2
Source27: http://xorg.freedesktop.org/releases/individual/proto/xf86miscproto-%{xf86miscproto}.tar.bz2
Source28: http://xorg.freedesktop.org/releases/individual/proto/xf86dgaproto-%{xf86dgaproto}.tar.bz2
Source29: http://xorg.freedesktop.org/releases/individual/proto/videoproto-%{videoproto}.tar.bz2
Source30: http://xorg.freedesktop.org/releases/individual/proto/resourceproto-%{resourceproto}.tar.bz2
Source31: http://xorg.freedesktop.org/releases/individual/proto/evieext-%{evieextver}.tar.bz2
Source32: http://xorg.freedesktop.org/releases/individual/proto/randrproto-%{randrproto}.tar.bz2
Source33: http://xorg.freedesktop.org/releases/individual/proto/damageproto-%{damageproto}.tar.bz2
Source34: http://xorg.freedesktop.org/releases/individual/proto/glproto-%{glproto}.tar.bz2
Source35: http://superb-west.dl.sourceforge.net/sourceforge/mesa3d/MesaLib-%{mesaver}.tar.bz2

# for Xvfb
Patch0: x11-server-1.2.0-lsb-xts5-Xlib13.patch
Patch1: x11-server-1.2.0-big-requests.patch
Patch2: xorg-server-1.2.0-lsb-build.patch

# for libxfont
Patch3: libxfont-1.1.0-freetype_module_pic.patch
Patch4:	libXfont-1.2.2-lsb-build.patch

# workaround issues with 3.2 LSB headers
Patch5: xproto-%{xproto}-lsbcc32.patch

# enable XKEYBOARD extenson (bug 2026)
Patch6: lsb-xvfb-enable-xkb.patch

# memory leaks (bug 2215)
Patch7: lsb-xvfb-bug-2215.patch

# suppress the FreeFontPath: FPE message
Patch8: xorg-server-1.2.0-suppress-freefontpath-msg.patch

BuildRoot: %{_tmppath}/%{name}-root

# LSB toolchain
BuildRequires: lsb-build-cc
BuildRequires: lsb-build-desktop

# no autorequires for LSB
AutoReqProv: no

License: Historical Permission Notice and Disclaimer 

%description
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

This build is a special lsb compliant build for LSB testing, bundled
with the fonts needed for compliance testing.

#------------------------------------------------------------------------------

%prep
# Bail early on some known buildrequires that we can't specify as packages
for binary in bdftopcf ucs2any; do
  type -p $binary || { echo "We need $binary to build %{name}"; exit 1; }
done

%setup -q -n xorg-server-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20 -a21 -a22 -a23 -a24 -a25 -a26 -a27 -a28 -a29 -a30 -a31 -a32 -a33 -a34 -a35

# patches for Xvfb
%patch0 -p1 -b .lsb-xts5-Xlib13
%patch1 -p1 -b .big-requests
%patch2 -p1 -b .lsb5

# patches for libXfont
pushd libXfont-%{xfontver}
%patch3 -p1 -b .pic
%patch4 -p1 -b .lsbf
popd

pushd xproto-%{xproto}
%patch5 -p1 -b .lsbcc32
popd

# enable XKEYBOARD extension
%patch6 -p0 -b .enable-xkb

# memory leaks
%patch7 -p0 -b .bug-2215

# FreeFontPath message
%patch8 -p0 -b .suppress

%build
export CC=lsbcc
export CFLAGS="-fPIC"
export LSBCC_BESTEFFORT=1
%define lsbroot /opt/lsb
%define _includedir %{lsbroot}/include
%ifarch ppc64 s390x x86_64
%define _libdir %{lsbroot}/lib64
%else
%define _libdir %{lsbroot}/lib
%endif
%define _bindir %{lsbroot}/bin
%define _mandir %{lsbroot}/man
%define _sharedir %{lsbroot}/share
%define fontdir %{lsbroot}/share/fonts

TOPDIR=`pwd`
# first the protos - building our own include dir
pushd xproto-%{xproto}
  ./configure  	--x-includes=%{_includedir} \
                --x-libraries=%{_libdir}
  make
  install -d ../include/X11/extensions
  mv *.h ../include/X11
popd
pushd xextproto-%{xextproto}
  ./configure  	--x-includes=%{_includedir} \
                --x-libraries=%{_libdir}
  make
  mv *.h ../include/X11/extensions
popd
pushd fontcacheproto-%{fontcacheproto}
  ./configure  	--x-includes=%{_includedir} \
                --x-libraries=%{_libdir}
  make
  mv *.h ../include/X11/extensions
popd
pushd fontsproto-%{fontsproto}
  install -d ../include/X11/fonts
  mv *.h ../include/X11/fonts
popd
pushd kbproto-%{kbproto}
  mv *.h ../include/X11/extensions
popd
pushd xf86bigfontproto-%{bigfontproto}
  mv *.h ../include/X11/extensions
popd
pushd inputproto-%{inputproto}
  mv *.h ../include/X11/extensions
popd
pushd renderproto-%{renderproto}
  mv *.h ../include/X11/extensions
popd
pushd fixesproto-%{fixesproto}
  mv *.h ../include/X11/extensions
popd
pushd scrnsaverproto-%{scrnsaverproto}
  mv *.h ../include/X11/extensions
popd
pushd bigreqsproto-%{bigreqsproto}
  mv *.h ../include/X11/extensions
popd
pushd xcmiscproto-%{xcmiscproto}
  mv *.h ../include/X11/extensions
popd
pushd xf86vidmodeproto-%{xf86vidmodeproto}
  mv *.h ../include/X11/extensions
popd
pushd xf86miscproto-%{xf86miscproto}
  mv *.h ../include/X11/extensions
popd
pushd xf86dgaproto-%{xf86dgaproto}
  mv *.h ../include/X11/extensions
popd
pushd videoproto-%{videoproto}
  mv *.h ../include/X11/extensions
popd
pushd resourceproto-%{resourceproto}
  mv *.h ../include/X11/extensions
popd
pushd evieext-%{evieextver}
  mv *.h ../include/X11/extensions
popd
pushd randrproto-%{randrproto}
  mv *.h ../include/X11/extensions
popd
pushd damageproto-%{damageproto}
  mv *.h ../include/X11/extensions
popd
# for GLX
pushd glproto-%{glproto}
  ./configure   --x-includes=%{_includedir} \
                --x-libraries=%{_libdir}
  make
  install -d ../include/GL
  mv *.h ../include/GL
popd

# massage xtrans so we can use it directly
pushd xtrans-%{xtransver}
  install -d ../include/X11/Xtrans
  mv *.h *.c ../include/X11/Xtrans
popd

# first libXfontcache
# FIXME - something funny now with LSB provided X11 headers
# if we -I/opt/lsb/include this breaks
#export XFONTCACHE_CFLAGS="-I%{_includedir} \
export XFONTCACHE_CFLAGS="\
	-I$TOPDIR/libX11-%{libx11ver}/include \
	-I$TOPDIR/include"
export XFONTCACHE_LIBS="-L%{_libdir}"

pushd libXfontcache-%{fontcachever}
./configure  	--x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
		--enable-static
make
popd

# then libfontenc
export FONTENC_CFLAGS="-I%{_includedir}"
export FONTENC_LIBS="-L%{_libdir}"

pushd libfontenc-%{fontencver}
./configure  	--x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
                --with-encodingsdir=%{_datadir}/fonts/encodings \
		--enable-static
make
popd

# then libXfont
export FONTCACHEPROTO_CFLAGS="-I%{_includedir} \
	-I$TOPDIR/include"
export FONTCACHEPROTO_LIBS="-L%{_libdir}"

export FREETYPE_LIBS="-L%{_libdir} -lfreetype"

export XFONT_CFLAGS="\
	-I$TOPDIR/libX11-%{libx11ver}/include \
	-I$TOPDIR/include \
	-I%{_includedir} \
	-I$TOPDIR/libfontenc-%{fontencver}/include"

export XFONT_LIBS="-L%{_libdir} \
	-L$TOPDIR/libfontenc-%{fontencver}/src/.libs"

pushd libXfont-%{xfontver}
./configure     --x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
		--with-freetype-config=/opt/lsb/bin/freetype-config \
		--enable-static
make
popd

# and libXau
export XAU_CFLAGS="\
	-I$TOPDIR/libX11-%{libx11ver}/include \
	-I$TOPDIR/include \
	-I%{_includedir}"
export XAU_LIBS="-L%{_libdir}"

pushd libXau-%{xauver}
./configure     --x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
		--enable-static
make
popd

# and libXdmcp
export XDMCP_CFLAGS="\
	-I$TOPDIR/libX11-%{libx11ver}/include \
	-I$TOPDIR/include \
	-I%{_includedir}"
export XDMCP_LIBS="-L%{_libdir}"

pushd libXdmcp-%{xdmcpver}
./configure     --x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
		--enable-static
make
popd

# and libxkbfile
export XKBFILE_CFLAGS="\
	-I$TOPDIR/libX11-%{libx11ver}/include \
	-I$TOPDIR/include \
	-I%{_includedir} \
	-I$TOPDIR/libXau-%{xauver}/include \
	-I$TOPDIR/libXdmcp-%{xdmcpver}/include"

export XKBFILE_LIBS="-L%{_libdir} \
	-L$TOPDIR/libXau-%{xauver}/.libs \
	-L$TOPDIR/libXdmcp-%{xdmcpver}/.libs"

pushd libxkbfile-%{xkbfilever}
./configure     --x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
		--enable-static
make
popd

# and now Xvfb
export XSERVERCFLAGS_CFLAGS="\
	-I$TOPDIR/libX11-%{libx11ver}/include \
	-I$TOPDIR/include \
	-I%{_includedir} \
	-I$TOPDIR/libXfont-%{xfontver}/include \
	-I$TOPDIR/libfontenc-%{fontencver}/include \
	-I$TOPDIR/libXau-%{xauver}/include \
	-I$TOPDIR/libXdmcp-%{xdmcpver}/include \
	-I$TOPDIR/libxkbfile-%{xkbfilever}/include"

export XSERVERCFLAGS_LIBS="-L%{_libdir} \
	-L$TOPDIR/libfontenc-%{fontencver}/src/.libs \
	-L$TOPDIR/libXfont-%{xfontver}/src.libs"

export XORGCONFIG_DEP_CFLAGS="-I%{_includedir}"
export XORGCONFIG_DEP_LIBS="-L%{_libdir}"

export XSERVERLIBS_CFLAGS="\
	-I%{_includedir} \
	-I$TOPDIR/libXfont-%{xfontver}/include \
	-I$TOPDIR/libfontenc-%{fontencver}/include \
	-I$TOPDIR/libXau-%{xauver}/include \
	-I$TOPDIR/libXdmcp-%{xdmcpver}/include \
	-I$TOPDIR/libxkbfile-%{xkbfilever}/include"

# this is fugly - must be a better way but it works
# tried several variations of the commented line below
# -Wl,-Bstatic -lfreetype -lfontenc -lXfont -lXau -lXdmcp -lX11 -lxkbfile -Wl,-Bdynamic"
# also don't understand why the -Wl and the libs is needed, but it is
export XSERVERLIBS_LIBS=" \
	-Wl,$TOPDIR/libfontenc-%{fontencver}/src/.libs/libfontenc.a \
	-Wl,$TOPDIR/libXfont-%{xfontver}/src/.libs/libXfont.a \
	-Wl,$TOPDIR/libXau-%{xauver}/.libs/libXau.a \
	-Wl,$TOPDIR/libXdmcp-%{xdmcpver}/.libs/libXdmcp.a \
	-Wl,$TOPDIR/libxkbfile-%{xkbfilever}/src/.libs/libxkbfile.a \
	$TOPDIR/libfontenc-%{fontencver}/src/.libs/libfontenc.a \
	$TOPDIR/libXfont-%{xfontver}/src/.libs/libXfont.a \
	$TOPDIR/libXau-%{xauver}/.libs/libXau.a \
	$TOPDIR/libXdmcp-%{xdmcpver}/.libs/libXdmcp.a \
	$TOPDIR/libxkbfile-%{xkbfilever}/src/.libs/libxkbfile.a -lz \
	-L%{_libdir} -lfreetype"

# Added for GLX
export XLIB_CFLAGS="-I%{_includedir}"
export XLIB_LIBS="-L%{_libdir}"
export GL_CFLAGS="-I$TOPDIR/Mesa-%{mesaver}/include"
export GL_LIBS="-L%{_libdir}"

./configure     --x-includes=%{_includedir} \
                --x-libraries=%{_libdir} \
		--bindir=%{_bindir} \
		--libdir=%{_sharedir} \
		--mandir=%{_mandir} \
		--disable-debug \
		--disable-dga \
		--disable-dmx \
		--disable-dri \
		--disable-xorg \
		--disable-xnest \
		--disable-xwin \
		--disable-xprint \
		--disable-xephyr \
		--disable-xsdl \
		--disable-xorgcfg \
  		--disable-xdmcp \
  		--enable-xdm-auth-1 \
  		--enable-xvfb \
		--enable-static \
		--disable-xtrap \
		--disable-record \
		--disable-composite \
		--disable-xwrapper \
		--disable-pam \
		--disable-secure-rpc \
		--disable-kbd_mode \
		--disable-freetype \
  		--disable-install-setuid \
		--disable-xinerama \
		--with-fontdir=%{fontdir} \
		--with-default-font-path="%{fontdir}/misc:unscaled" \
		--with-mesa-source=$TOPDIR/Mesa-%{mesaver}

for sub in dbe dix fb mi xfixes Xext render randr damageext \
	miext Xi xkb os GL;do
  make -C $sub
done
make -C hw/vfb

# license file for Xvfb
head -25 hw/vfb/Xvfb.man.pre | tail -23 | cut -c5- > COPYING

# misc font
export MAPS_CFLAGS="\
	-I$TOPDIR/libX11-%{libx11ver}/include \
	-I$TOPDIR/include \
	-I%{_includedir} \
	-I$TOPDIR/libXfont-%{xfontver}/include"

export MAPS_LIBS="-L%{_libdir} \
	-L$TOPDIR/libXfont-%{xfontver}/src.libs"

pushd font-misc-misc-%{miscver}
# font maps can be in /usr/X11R6/lib/X11/fonts/util 
# (old system, no pkg-config answer)
# or /usr/share/fonts/util (opensuse11.1)
# or somewhere else? (may break then)
if [ -d /usr/X11R6/lib/X11/fonts/util ];then 
  sed -i 's|\$(pkg-config --variable=mapdir fontutil)|/usr/X11R6/lib/X11/fonts/util|' configure
fi

./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/misc

make
popd

# cursor font
pushd font-cursor-misc-%{cursorver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/misc

make
popd

#100dpi font
pushd font-bitstream-100dpi-%{dpi100ver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/100dpi

make
popd

#75dpi font
pushd font-bitstream-75dpi-%{dpi75ver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/75dpi

make
popd

#font aliases
pushd font-alias-%{aliasver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-top-fontdir=%{fontdir}

make
popd

%install
rm -rf %{buildroot}
make -C hw/vfb DESTDIR=%{buildroot} install
install -d %{buildroot}/%{_sharedir}/xserver
install Xext/SecurityPolicy %{buildroot}/%{_sharedir}/xserver

# license file
install -d %{buildroot}/opt/lsb/doc/%{name}
install COPYING %{buildroot}/opt/lsb/doc/%{name}

# fonts
install -d %{buildroot}/%{fontdir}/{100dpi,75dpi,misc}
make -C font-misc-misc-%{miscver} DESTDIR=%{buildroot} install
make -C font-cursor-misc-%{cursorver} DESTDIR=%{buildroot} install
make -C font-bitstream-100dpi-%{dpi100ver} DESTDIR=%{buildroot} install
make -C font-bitstream-75dpi-%{dpi75ver} DESTDIR=%{buildroot} install
make -C font-alias-%{aliasver} DESTDIR=%{buildroot} install

#unpackaged files
rm -f %{buildroot}/opt/lsb/share/fonts/cyrillic/fonts.alias
 
%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/Xvfb
%{_mandir}/man1/Xvfb.1
%dir %{_sharedir}/xserver
%{_sharedir}/xserver/SecurityPolicy
%dir %{fontdir}
%dir %{fontdir}/100dpi
%{fontdir}/100dpi/*
%dir %{fontdir}/75dpi
%{fontdir}/75dpi/*
%dir %{fontdir}/misc
%{fontdir}/misc/*
%dir /opt/lsb/doc/%{name}
/opt/lsb/doc/%{name}/COPYING

%changelog
* Tue Oct 05 2010 Stew Benedict <stewb@linux-foundation.org>
- memory leak issue was bug 2215, not 2115 - rename
- use upstream fix for BIG-REQUESTS issue - new P1, bug 1867

* Mon Nov 17 2008 Stew Benedict <stewb@linux-foundation.org>
- suppress the FreeFontPath: FPE message (P8)

* Thu Nov 06 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, which now owns /opt/lsb/share

* Thu Oct 23 2008 Stew Benedict <stewb@linux-foundation.org>
- own /opt/lsb/share (bug 2318)

* Tue Sep 02 2008 Stew Benedict <stewb@linux-foundation.org>
- re-order the various "CFLAGS" to use our private includes 
  over LSB X headers

* Wed Jul 09 2008 Stew Benedict <stewb@linux-foundation.org>
- apply patch to address memory leaks (P7, bug 2215)
- enable DBE (bug 2208)

* Wed Jul 02 2008 Stew Benedict <stewb@linux-foundation.org>
- Lose /opt/lsb/lib to co-exist with multiversion sdk

* Fri Apr 04 2008 Stew Benedict <stewb@linux-foundation.org>
- enable XKEYBOARD extension (bug 2026, P6(found fix in fedora))

* Wed Jan 30 2008 Stew Benedict <stewb@linux-foundation.org>
- add support for GLX (bug 1866, S34, S35)

* Mon Dec 03 2007 Stew Benedict <stewb@linux-foundation.org>
- add license file

* Wed Oct 31 2007 Stew Benedict <stewb@linux-foundation.org>
- LSB has freetype now, drop the static linking
- really remove cyrillic fonts.alias
- deal with redef of bzero in Xfuncs.h from xproto 
  that fails with 3.2 headers (P5)

* Tue May 15 2007 Stew Benedict
- remove P3, patch vsw4 and xts5 to accept either
  BadValue (WARN) or BadMatch (PASS)
- P4,5 -> P3,4

* Mon Mar 19 2007 Stew Benedict 1.2.0-2
- add patch (P3) for regression /tset/CH05/crtclrmp/crtclrmp 11 FAIL
- question occurs whether we're testing the X lib or Xvfb
- old P3,P4 -> P4,P5 (libxfont)

* Tue Feb 13 2007 Stew Benedict <stewb@aysenterprises.com> 1.2.0-1
- forward port P0 - Xlib13 patch for xts5
- 1.2.0 - build with lsbcc
- bundle needed libs to static link
- add fonts needed for graphics tests
- Special build for lsb-xts5 testing
- P1: patch to help with UNRESOLVED issues with lsb-xts5

